%define name	perl-OpenCA-X509
%define version	0.9.57
%define release	2mdk

Summary:	X509 Object Handling in PERL
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License:        BSD-like
Group: 		Development/Perl
URL:		http://www.cpan.org
Source:		OpenCA-X509-%{version}.tar.bz2
Requires:	openssl 
#Requires:	perl-Digest-MD5
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-X500-DN
BuildRequires:	perl-X500-DN
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module provides an object-oriented interface for X509
managing. Supported operations are oriented to parsing X509s, the
module uses the OpenCA-OpenSSL module for accessing the objects
internals.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-X509-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/OpenCA/prova.pl

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE MANIFEST prova.pl
%{perl_vendorlib}/OpenCA/X509.pm
%{perl_vendorlib}/OpenCA/X509.pod
%{_mandir}/*/*

%changelog
* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.57-2mdk
- rebuild

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.57-1mdk
- 0.9.57

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.56-2mdk
- new tarball, same version

* Tue Jul 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.56-1mdk
- 0.9.56

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.55-1mdk
- 0.9.55

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.54-2mdk
- built for cooker
- fix some deps (Stefan van der Eijk)

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.54-1mdk
- 0.9.54

* Mon May 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.53-1mdk
- 0.9.53

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.52-1mdk
- initial package
